List Meetings
/unified/conferencing/meetings
Partial response — use the "get" endpoint for the full object.
Query Parameters
Refer Specifying query parameters in Truto APIs
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
Defaults to unified.
unifiedunifiedrawnormalizedstream
By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.
idIgnores the limit query parameter.
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barResponse Body
The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.
List of Meetings
The unique identifier for a meeting
3 supported
List of attendees
7 properties
Email of the attendee
Time when the participant left the meeting for the last time in ISO 8601 format
The unique identifier for an attendee
Whether the attendee is the host of the meeting
Name of the attendee
Time when the participant first joined the meeting in ISO 8601 format
Type of the attendee. Can be either user or guest.
URL of the audio recording of the meeting
Creation time of the meeting
1 supported
Duration of the meeting in seconds
End time of the meeting in ISO 8601 format
2 supported
URL of the meeting
Raw data returned from the remote API call.
Start time of the meeting in ISO 8601 format
2 supported
Status of the meeting
1 supported
Title of the meeting
1 supported
List of topics discussed in the meeting
List of transcripts of the meeting
4 properties
The end time of the transcript
List of sentences in the transcript of the meeting
8 properties
The end of the sentence in the number of seconds from the start of the meeting
The unique identifier for an entry
The raw text of the sentence
The unique identifier for a speaker
The speaker of the sentence
The type of the speaker. Can be either user or guest.
The start of the sentence in the number of seconds from the start of the meeting
The text of the sentence
The unique identifier for transcript
The start time of the transcript
Type of the meeting
Last updated time of the meeting
1 supported
URL of the video recording of the meeting
curl -X GET 'https://api.truto.one/unified/conferencing/meetings?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json'const integratedAccountId = '<integrated_account_id>';
const response = await fetch(`https://api.truto.one/unified/conferencing/meetings?integrated_account_id=${integratedAccountId}`, {
method: 'GET',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/conferencing/meetings"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.list(
'conferencing',
'meetings',
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
async for item in truto_api.unified_api.list(
"conferencing",
"meetings",
{"integrated_account_id": "<integrated_account_id>"}
):
print(item)
asyncio.run(main())